Subject: RE: bug#29074: 26.0; Cannot sent bug report in Emacs 26 pretest

From: Drew Adams <[email-masked]>
Date: Thu, 2 Nov 2017 09:20:21 -0700 (PDT)

> > I was in buffer *Backtrace* and did M-x report-emacs-bug.
> >
> > I entered bug-report text and hit C-c C-c, then answered "yes".  My
> > *unsent mail to bug-gnu-emacs* buffer was killed and a dialog box was
> > displayed by MS Outlook, which said, "The command line argument is not
> > valid. Verify the switch you are using".
> >
> > I tried again, and Emacs said that I already sent the message (which is
> > not true) and asked if I wanted to send it again. I answered yes. Same
> > thing.
> 
> I couldn't reproduce this.  I tried on 2 different Windows 7 systems,
> and it worked as expected for me, both when Outlook was already
> running and when it wasn't.
> 
> Does this happen in "emacs -Q"?  If it does, then please step in
> Edebug through mailclient-send-it, which is the function emacsbug.el
> invokes in this case, and tell what are the arguments with which it
> calls browse-url.
> 
> If it doesn't happen in "emacs -Q", then please try to see what gets
> in the way.  Is mailclient-send-it at all called, and if it is, how
> does it call browse-url?
> 
> Also, what version of Outlook/Office do you have on that system?

I haven't seen it again, and I think I've filed other Emacs 26 pretest
bugs since then.  I believe I ran into it from emacs -Q, but I'm not
100% sure of that.

I now have Outlook/Office 2016.  I "upgraded" to it recently from 2007.
The version we have may be tweaked by my company, to integrate it
with the mail server etc.  Not sure what that "integration" might involve.

If the problem occurs again I'll try to track down more info about it.